<bugID>337106<Summary>Appending "Search" to the search engine's name doesn't always work well (grey text in the search bar)</Summary><Description>From bug 258672 comment 69:

Some seach engines sound weird having it XXX Search, for example "MSN Search Search" at http://www.microsoft.com/windows/ie/searchguide/default_new.mspx
(it's the autodetected engine on that page).

mconnor suggested to check the search engine name for " Search", but it appears a hack to me. (What if the engine name is not english? There may be names that don't fit well with appended "Search" for other reasons.)
Ideally the whatever spec we're following should specify the display options that both search engine and browser developers are aware of...</Description></bugID>